Cortex Docs
API ReferenceAdmin Endpoints

Admin/ Attachments

Admin attachment upload endpoints.

POST
/api/admin/attachments/v1

Authorization

admin-access-token
AuthorizationBearer <token>

Admin access token. In Apidog use token value {{admin_access_token}}.

In: header

Query Parameters

type*string

Value in

  • "supportTicket"
  • "publicAsset"
compression?boolean
Defaultfalse
targetType?string

Value in

  • "jpg"
  • "jpeg"
  • "png"
  • "webp"

Header Parameters

env?string

Environment override (use "test" to bypass payload encryption)

Default"test"
timezone?string

Client timezone

Default"UTC"
device?string

Client device type/details

Default"ios"
Accept-Language?string

Client language/locale preference

Default"en"
Authorization*string

Requires the admin access token generated by the admin login or refresh endpoint. Apidog value: Bearer {{admin_access_token}}.

Default"Bearer {{admin_access_token}}"

Response Body

application/json

curl -X POST "https://example.com/api/admin/attachments/v1?type=supportTicket" \  -H "env: test" \  -H "timezone: UTC" \  -H "device: ios" \  -H "Accept-Language: en" \  -H "Authorization: Bearer {{admin_access_token}}"
{  "code": "string",  "response": [    {      "key": "string",      "fileName": "string",      "itemType": "string",      "url": "string"    }  ]}
DELETE
/api/admin/attachments/v1

Authorization

admin-access-token
AuthorizationBearer <token>

Admin access token. In Apidog use token value {{admin_access_token}}.

In: header

Query Parameters

key*string

Header Parameters

env?string

Environment override (use "test" to bypass payload encryption)

Default"test"
timezone?string

Client timezone

Default"UTC"
device?string

Client device type/details

Default"ios"
Accept-Language?string

Client language/locale preference

Default"en"
Authorization*string

Requires the admin access token generated by the admin login or refresh endpoint. Apidog value: Bearer {{admin_access_token}}.

Default"Bearer {{admin_access_token}}"

Response Body

application/json

curl -X DELETE "https://example.com/api/admin/attachments/v1?key=string" \  -H "env: test" \  -H "timezone: UTC" \  -H "device: ios" \  -H "Accept-Language: en" \  -H "Authorization: Bearer {{admin_access_token}}"
{  "code": "string",  "message": "string"}